--- old/usr/src/lib/libtermcap/Makefile.com	2019-07-05 17:33:52.354706414 +0000
+++ new/usr/src/lib/libtermcap/Makefile.com	2019-07-05 17:33:52.372230555 +0000
@@ -13,11 +13,19 @@
 # Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
 #
 
-# install this library in the root filesystem
-include ../../Makefile.rootfs
-
 LIBRARY =	libtermcap.a
 VERS =		.1
 LIBS +=		$(LINTLIB)
 
+# install this library in the root filesystem
+include ../../Makefile.rootfs
+
+COMPATLINKS +=	/usr/ccs/lib/libtermcap.so
+COMPATLINKS64 += /usr/ccs/lib/$(MACH64)/libtermcap.so
+
+$(ROOT)/usr/ccs/lib/libtermcap.so := \
+	COMPATLINKTARGET=../../../lib/libtermcap.so.1
+$(ROOT)/usr/ccs/lib/$(MACH64)/libtermcap.so := \
+	COMPATLINKTARGET=../../../../lib/$(MACH64)/libtermcap.so.1
+
 DYNFLAGS +=	$(ZLOADFLTR)
